import 'package:primer_practica/src/models/articles_model.dart';

class CarritoModel {
  final ArticlesModel articulo;
  int cantidad;
  double precio;

  CarritoModel({
    required this.articulo,
    this.cantidad = 1,
    double? precio,
  }) : precio = precio ?? (articulo.precios.isNotEmpty ? articulo.precios[0].precio : 0.0);

  Map<String, dynamic> toJson() {
    return {
      'articulo': articulo.toJson(),
      'cantidad': cantidad,
      'precio': precio,
    };
  }

  factory CarritoModel.fromJson(Map<String, dynamic> json) {
    return CarritoModel(
      articulo: ArticlesModel.fromJson(json['articulo']),
      cantidad: json['cantidad'],
      precio: json['precio'],
    );
  }
}
